#ifdef __TURBOC__
	#define TC  1
	#define MSC 0
	#define MPC 0
	#define ZTC 0
	#define WCC 0
#endif
#ifdef __POWERC__
	#define TC  0
	#define MSC 0
	#define MPC 1
	#define ZTC 0
	#define WCC 0
#endif
#ifdef __ZTC__
	#define TC  0
	#define MSC 0
	#define MPC 0
	#define ZTC 1
	#define WCC 0
#endif
#ifdef __MSC__
	#define TC  0
	#define MSC 1
	#define MPC 0
	#define ZTC 0
	#define WCC 0
#endif
#ifdef __WCC__
	#define TC  0
	#define MSC 0
	#define MPC 0
	#define ZTC 0
	#define WCC 1
#endif

#if (TC || MPC)
	#include <dir.h>
#elif (MSC)
	#include <dos.h>
	#include <direct.h>
#endif

 int
GetCurrentDirectory (int Disk, char *CurDir) {

#if (TC || MPC)
	return(getcurdir(Disk, CurDir));

#elif (MSC)
	unsigned CurDrive, NumberOfDrives;

	_dos_getdrive(&CurDrive);
	_dos_setdrive(Disk, &NumberOfDrives);
	getcwd(CurDir, sizeof(*CurDir));
	_dos_setdrive(CurDrive, &NumberOfDrives);
	return(0);
#endif

	}

 void
GetCurrentDisk (int *CurDisk) {

#if (TC || MPC)
	*CurDisk = getdisk();

#elif (MSC)
	_dos_getdrive(CurDisk);

#endif

	}
