#ifdef MAIN
	#define EXTERN
#else
	#define EXTERN extern
#endif

#ifndef DOS_DATE
#define DOS_DATE
typedef union {
	unsigned u;
	struct {
		unsigned Day : 5;
		unsigned Month : 4;
		unsigned Year  : 7;
		} b;
	} DOS_FILE_DATE;
#endif

#ifndef DOS_TIME
#define DOS_TIME
typedef union {
	unsigned u;
	struct {
		unsigned Second : 5;
		unsigned Minute : 6;
		unsigned Hour   : 5;
		} b;
	} DOS_FILE_TIME;
#endif

typedef struct {
	unsigned char HeadSize;
	unsigned char ChkSum;
	char Method[5];
	unsigned long CompressedSize;
	unsigned long OriginalSize;
	DOS_FILE_TIME Time;
	DOS_FILE_DATE Date;
	unsigned Attrib;
	unsigned char FileNameLength;
	} LZH_HEADER;

void DoLzh (char *Path);
int GetEntry (FILE *LzhFile, LZH_HEADER *LzhDir);